GNU bug report logs - #41448
[PATCH] gnu: deja-dup: Update to 40.6.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brice Waegeneire <brice@HIDDEN>; Keywords: patch; Done: Brice Waegeneire <brice@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 41448 <at> debbugs.gnu.org and Brice Waegeneire <brice@HIDDEN> Request was from Brice Waegeneire <brice@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41448 <at> debbugs.gnu.org:


Received: (at 41448) by debbugs.gnu.org; 23 May 2020 19:55:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 15:55:28 2020
Received: from localhost ([127.0.0.1]:35766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcaEy-0001ei-9J
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 15:55:28 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:59361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1jcaEv-0001eT-Ep
 for 41448 <at> debbugs.gnu.org; Sat, 23 May 2020 15:55:27 -0400
Received: from webmail.gandi.net (webmail18.sd4.0x35.net [10.200.201.18])
 (Authenticated sender: brice@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPA id A17804000A;
 Sat, 23 May 2020 19:55:18 +0000 (UTC)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sat, 23 May 2020 19:55:18 +0000
From: Brice Waegeneire <brice@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#41448] [PATCH] gnu: deja-dup: Update to 40.6.
In-Reply-To: <87367q8r8r.fsf@HIDDEN>
References: <20200522081920.32300-1-brice@HIDDEN>
 <87367q8r8r.fsf@HIDDEN>
Message-ID: <7590ce71198568df8f3b6ab48e1dc2e2@HIDDEN>
X-Sender: brice@HIDDEN
User-Agent: Roundcube Webmail/1.3.8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41448
Cc: 41448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2020-05-23 18:01, Marius Bakke wrote:
> Brice Waegeneire <brice@HIDDEN> writes:
> 
>> * gnu/packages/gnome.scm (deja-dup): Update to 40.6.
>> [origin]: Use gitlab.gnome.org since the project migrated away from
>> launchpad.
>> [home-page]: Use 'wiki.gnome.org' instead of 'launchpad.net'.
>> [build-system]: Switch to 'meson-build-system' because upstream 
>> removed
>> cmake support.
>> [arguments]: TODO!!!
>> [inputs]: Remove 'libpeas', 'gobject-introspection'. Replace 
>> 'python-2'
>> and 'python2-pygobject' with python-3 versions. Add 'json-glib',
>> 'libsoup' and 'libgpg-error'.
>> [native-inputs]: Remove 'cmake-minimal'. Add 'appstream-glib',
>> 'desktop-file-utils', 'glib:bin' and 'gobject-introspection'.
>> * gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch: Delete
>> file.
> 
> Woooow.  LGTM, with that TODO resolved!
> 
> By the way, GNOME packages are getting rid of intltool in favor of
> plain gettext, can you check if that is the case here too?  (intltool
> propagates gettext which is why we don't notice.)
> 
> Thanks!

I have resolved the TODO and removed intltool as asked. Pushed as
899ffa1381afbf5f955aeba4839e920b3d910953.

Thank you for the reviews Marius!




Information forwarded to guix-patches@HIDDEN:
bug#41448; Package guix-patches. Full text available.

Message received at 41448 <at> debbugs.gnu.org:


Received: (at 41448) by debbugs.gnu.org; 23 May 2020 18:02:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 14:02:08 2020
Received: from localhost ([127.0.0.1]:35499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcYTI-0007FZ-4d
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 14:02:08 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:56427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jcYTE-0007F3-8t
 for 41448 <at> debbugs.gnu.org; Sat, 23 May 2020 14:02:06 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 830207E3;
 Sat, 23 May 2020 14:01:58 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Sat, 23 May 2020 14:01:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=cQt1rFoHTX5F4PAFFCKp34BqeS
 TFPujH36OmPuXJ2rI=; b=VuapHAK9suEpQOGARQA1VY7TWxQPuWY4Um81btP3IW
 sBJjJzT/3pSvuwKhBrx9S36EqnHWg3QNpIqi2fGaD4LJcS2ogboEzTZctWVF5Bt/
 wnuGnU783dx117xjfeMlYERLshJbYWbsTDa1AbrIC3gcape/OM/+2NDRUkA+qSrn
 4ifLEsDYPiaKtkYTacoULcBJlGkx/NqI9sQEMp4JTXnpJ55IbbXI8/uqMtJtRhM8
 ib7lmwA70FgqJF4Q2j1zSMe6JeaR22tP+aEC/EzqyxOlhfpuhsXcMoIkPNfMtLOj
 irlrggSL69RU//1iWHonXoyIfrlNNASayxF1pkmMcSIg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=cQt1rF
 oHTX5F4PAFFCKp34BqeSTFPujH36OmPuXJ2rI=; b=Y6Nde/4jpsH3xCAbf2W3tY
 xqY8fykpkvsc9TFj69WUJ4RlDt+8Mh7k8IkDgUG6wxAM7GOGd6MSsDnJLNlqNItY
 dJF4HhVGjVE+BI1gQUu8i8eMIIDIyv5TpLp5NV1ev9mE2lXE5zX6pSSlqcbq7BVI
 NAU9DYIKOEfV31BwdAzVAzCMdFxoHJUR3iM80iOcJUAZxV6rF6cKCjlFBasL3UaY
 cibpdTDHNgGZKFIUs9hdypIBse6jwjyH1YE7fZq6rtWkvtmjk9UIe95iUhDv0uKg
 7S2nSDvd4Z3Z+u3oqGIIuyIZ6ftBLt2QgmMp3ztEewaku0g2jgUmUwP/AjA08FJw
 ==
X-ME-Sender: <xms:FWXJXlwzA-P4iZc25gRy4snTXJpxxxHsOP14lKC86g4xEQ6C85dFFA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrudduhedguddvtdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecuggftrf
 grthhtvghrnhepheduueetgfegfeeufeejgfeihffhhfduleehhfegvddtieeufeehueet
 leejleetnecuffhomhgrihhnpehgnhhomhgvrdhorhhgnecukfhppeekgedrvddtvddrie
 ekrdejheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhm
 pehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhm
X-ME-Proxy: <xmx:FWXJXlSiR_Gq0GA3Z3yhZ3QhO4zWhpRRgxjPgjQ1ZCK_xNXrP5LAKw>
 <xmx:FWXJXvXtJ4wHcNnPL0SBLv8xiPUK6aSqWEuVt4BwrkyUwpkTCzNDvg>
 <xmx:FWXJXnjbiaW-EZkBleaTnlnSshe3CsoxfEdNl6_sK2r7WxrPhb5ZqA>
 <xmx:FmXJXqMt7Fzp_3hNuqrFhOWgnjR2ZN8WOxttiACNGt8IepI11nxDFw>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8A6993066507;
 Sat, 23 May 2020 14:01:57 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>, 41448 <at> debbugs.gnu.org
Subject: Re: [bug#41448] [PATCH] gnu: deja-dup: Update to 40.6.
In-Reply-To: <20200522081920.32300-1-brice@HIDDEN>
References: <20200522081920.32300-1-brice@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sat, 23 May 2020 20:01:56 +0200
Message-ID: <87367q8r8r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41448
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Brice Waegeneire <brice@HIDDEN> writes:

> * gnu/packages/gnome.scm (deja-dup): Update to 40.6.
> [origin]: Use gitlab.gnome.org since the project migrated away from
> launchpad.
> [home-page]: Use 'wiki.gnome.org' instead of 'launchpad.net'.
> [build-system]: Switch to 'meson-build-system' because upstream removed
> cmake support.
> [arguments]: TODO!!!
> [inputs]: Remove 'libpeas', 'gobject-introspection'. Replace 'python-2'
> and 'python2-pygobject' with python-3 versions. Add 'json-glib',
> 'libsoup' and 'libgpg-error'.
> [native-inputs]: Remove 'cmake-minimal'. Add 'appstream-glib',
> 'desktop-file-utils', 'glib:bin' and 'gobject-introspection'.
> * gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch: Delete
> file.

Woooow.  LGTM, with that TODO resolved!

By the way, GNOME packages are getting rid of intltool in favor of
plain gettext, can you check if that is the case here too?  (intltool
propagates gettext which is why we don't notice.)

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7JZRQACgkQoqBt8qM6
VPoPTQgAr4htn2US3CxhvYegb2NIG646P9l+f6RPn1B3HHOCsXFpnW7R5TfUN078
FgF5D5qpgAjv792wQ4IT59Uch1qMz3bZi37Fkb4JkA7RsiseuUxWfL67EEago7So
/1WWTKvIM9chof7GQfF9OMxHsenVEQgNBCCv1Ja7LcchzKyewt7YhZAsPh96SdBB
m2w92Z4SbIk+AhsIm09LDJldjLenI9/4eU1RLxNVfsmcEBnkduL5ZQl+QPARN4OM
O8xZ4CZ43jzjQTHCfb73xrdbXmDEeCqEixMAIF+iNzmh00ic+GhhBGIabeB/0UcW
GgQtp4MB5ttzCcACfDMoYB9Elv8oIQ==
=d9jO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41448; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 May 2020 08:19:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 04:19:40 2020
Received: from localhost ([127.0.0.1]:57974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc2ty-0002HW-W5
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 04:19:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:46710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1jc2ts-0002HL-UL
 for submit <at> debbugs.gnu.org; Fri, 22 May 2020 04:19:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46308)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1jc2ts-0006mX-P3
 for guix-patches@HIDDEN; Fri, 22 May 2020 04:19:28 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:49163)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1jc2tr-0000Iw-28
 for guix-patches@HIDDEN; Fri, 22 May 2020 04:19:28 -0400
Received: from localhost (luy13-1-78-237-113-178.fbx.proxad.net
 [78.237.113.178]) (Authenticated sender: brice@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 3F025100012
 for <guix-patches@HIDDEN>; Fri, 22 May 2020 08:19:25 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: deja-dup: Update to 40.6.
Date: Fri, 22 May 2020 10:19:20 +0200
Message-Id: <20200522081920.32300-1-brice@HIDDEN>
X-Mailer: git-send-email 2.26.2
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=217.70.178.231; envelope-from=brice@HIDDEN;
 helo=relay11.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/22 04:18:23
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

* gnu/packages/gnome.scm (deja-dup): Update to 40.6.
[origin]: Use gitlab.gnome.org since the project migrated away from
launchpad.
[home-page]: Use 'wiki.gnome.org' instead of 'launchpad.net'.
[build-system]: Switch to 'meson-build-system' because upstream removed
cmake support.
[arguments]: TODO!!!
[inputs]: Remove 'libpeas', 'gobject-introspection'. Replace 'python-2'
and 'python2-pygobject' with python-3 versions. Add 'json-glib',
'libsoup' and 'libgpg-error'.
[native-inputs]: Remove 'cmake-minimal'. Add 'appstream-glib',
'desktop-file-utils', 'glib:bin' and 'gobject-introspection'.
* gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch: Delete
file.
---
 gnu/packages/gnome.scm                        | 106 +++++++++---------
 .../deja-dup-use-ref-keyword-for-iter.patch   |  41 -------
 2 files changed, 53 insertions(+), 94 deletions(-)
 delete mode 100644 gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index afd40ac725..eb66e38473 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -878,73 +878,73 @@ configuration files for the GNOME menu, as well as a simple menu editor.")
 (define-public deja-dup
   (package
     (name "deja-dup")
-    (version "34.3")
+    (version "40.6")
     (source (origin
-             (method url-fetch)
-             (uri "https://launchpadlibrarian.net/295170991/deja-dup-34.3.tar.xz")
-             (sha256
-              (base32
-               "1xqcr61hpbahbla7gdjn4ngjfz7w6f57y7f5pkb77yk05f60j2n9"))
-             (patches
-               (search-patches "deja-dup-use-ref-keyword-for-iter.patch"))))
-    (build-system glib-or-gtk-build-system)
+              (method url-fetch)
+              (uri (string-append "https://gitlab.gnome.org/World/deja-dup/-/archive/"
+                                  version "/deja-dup-" version ".tar.bz2"))
+              (sha256
+               (base32
+                "0lwazh6crby5wpy9fg6zvwy4plqbhs2f98bm5lbizjdlbh88n5q0"))))
+    (build-system meson-build-system)
     (arguments
-     `(#:modules ((guix build gnu-build-system)
-                  ((guix build cmake-build-system) #:prefix cmake:)
-                  (guix build glib-or-gtk-build-system)
-                  (guix build utils))
-       #:imported-modules (,@%glib-or-gtk-build-system-modules
-                           (guix build cmake-build-system))
-       #:test-target "test"
-       #:configure-flags (list (string-append
-                                "-DCMAKE_INSTALL_FULL_DATADIR=" %output)
-                               (string-append
-                                "-DCMAKE_INSTALL_LIBEXECDIR=" %output))
+     `(#:glib-or-gtk? #t
+       #:configure-flags
+       (list
+        ;; Otherwise, the RUNPATH will lack the final path component.
+        (string-append "-Dc_link_args=-Wl,-rpath="
+                       (assoc-ref %outputs "out") "/lib/deja-dup"))
        #:phases
        (modify-phases %standard-phases
-         (add-after 'unpack 'patch-lockfile-deletion
-           (lambda rest
-             (substitute* "libdeja/tools/duplicity/DuplicityInstance.vala"
-               (("/bin/rm")
-                (which "rm")))))
-         (replace 'configure
-           (assoc-ref cmake:%standard-phases 'configure))
-         (delete 'check) ;; Fails due to issues with DBus
-         (add-after 'install 'wrap-deja-dup
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((python      (assoc-ref inputs "python"))
-                   (python-path (getenv "PYTHONPATH"))
-                   (duplicity   (assoc-ref inputs "duplicity"))
-                   (out         (assoc-ref outputs "out")))
-               (for-each
-                (lambda (program)
-                  (wrap-program program
-                    `("PATH" ":" prefix (,(string-append python "/bin")
-                                         ,(string-append duplicity "/bin"))))
-                  (wrap-program program
-                    `("PYTHONPATH" ":" prefix (,python-path))))
-
-                (find-files (string-append out "/bin")))
-               #t))))))
+         (add-after 'unpack 'patch-paths
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((python (assoc-ref inputs "python")))
+               (substitute* '("libdeja/tools/duplicity/DuplicityInstance.vala"
+                              "libdeja/tests/scripts/instance-error.test")
+                 (("/bin/rm")
+                  (which "rm")))
+               (substitute* "libdeja/tests/runner.vala"
+                 (("/bin/sh")
+                  (which "sh")))
+               (substitute* "libdeja/tests/scripts/instance-error.test"
+                 (("`which python3`")
+                  (string-append python "/bin/python3"))))))
+         (add-after 'unpack 'patch-libgpg-error
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((libgpg-error (assoc-ref inputs "libgpg-error")))
+               (substitute* "meson.build"
+                 (("(gpgerror_libs = ).*" _ var)
+                  (format #f "~a '-L~a/lib -lgpg-error'\n" var libgpg-error))))
+             #t))
+         (add-after 'unpack 'skip-gtk-update-icon-cache
+           ;; Don't create 'icon-theme.cache'.
+           (lambda _
+             (substitute* "data/post-install.sh"
+               (("gtk-update-icon-cache") "true"))
+             #t)))))
     (inputs
      `(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
-       ("gobject-introspection" ,gobject-introspection)
        ("duplicity" ,duplicity)
-       ("python" ,python-2)
-       ("python-pygobject" ,python2-pygobject)
+       ("python" ,python)
+       ("python-pygobject" ,python-pygobject)
        ("gtk+" ,gtk+)
+       ("json-glib" ,json-glib)
        ("libnotify" ,libnotify)
-       ("libpeas" ,libpeas)
+       ("libgpg-error" ,libgpg-error)
        ("libsecret" ,libsecret)
+       ("libsoup" ,libsoup)
        ("packagekit" ,packagekit)))
     (native-inputs
-     `(("pkg-config" ,pkg-config)
-       ("vala" ,vala)
+     `(("appstream-glib" ,appstream-glib)
+       ("desktop-file-utils" ,desktop-file-utils)
        ("gettext" ,gettext-minimal)
-       ("itstool" ,itstool)
+       ("glib" ,glib "bin")             ; for glib-compile-schemas.
+       ("gobject-introspection" ,gobject-introspection)
        ("intltool" ,intltool)
-       ("cmake" ,cmake-minimal)))
-    (home-page "https://launchpad.net/deja-dup")
+       ("itstool" ,itstool)
+       ("pkg-config" ,pkg-config)
+       ("vala" ,vala)))
+    (home-page "https://wiki.gnome.org/Apps/DejaDup")
     (synopsis "Simple backup tool, for regular encrypted backups")
     (description
      "Déjà Dup is a simple backup tool, for regular encrypted backups.  It
diff --git a/gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch b/gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch
deleted file mode 100644
index a03e0c5481..0000000000
--- a/gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-From 5676766be5e845ccb6cdf46cfa8722497f151752 Mon Sep 17 00:00:00 2001
-From: Jeremy Bicha <jbicha@HIDDEN>
-Date: Fri, 16 Jun 2017 15:11:37 -0400
-Subject: Use 'ref' keyword for iter, requires vala 0.36
-
-
-diff --git a/deja-dup/widgets/ConfigList.vala b/deja-dup/widgets/ConfigList.vala
-index 15de2d6..02cd81a 100644
---- a/deja-dup/widgets/ConfigList.vala
-+++ b/deja-dup/widgets/ConfigList.vala
-@@ -333,7 +333,7 @@ public class ConfigList : ConfigWidget
- 
-     model.row_deleted.disconnect(write_to_config);
-     foreach (Gtk.TreeIter iter in iters) {
--      (model as Gtk.ListStore).remove(iter);
-+      (model as Gtk.ListStore).remove(ref iter);
-     }
-     model.row_deleted.connect(write_to_config);
- 
-diff --git a/deja-dup/widgets/ConfigLocation.vala b/deja-dup/widgets/ConfigLocation.vala
-index 869e2a8..d21c556 100644
---- a/deja-dup/widgets/ConfigLocation.vala
-+++ b/deja-dup/widgets/ConfigLocation.vala
-@@ -397,12 +397,12 @@ public class ConfigLocation : ConfigWidget
-     if (uuid == saved_uuid)
-       return;
- 
--    store.remove(iter);
-+    store.remove(ref iter);
- 
-     if (--num_volumes == 0) {
-       Gtk.TreeIter sep_iter;
-       if (store.get_iter_from_string(out sep_iter, index_vol_sep.to_string())) {
--        store.remove(sep_iter);
-+        store.remove(ref sep_iter);
-         index_vol_sep = -2;
-       }
-     }
--- 
-cgit v0.10.2
-
-- 
2.26.2





Acknowledgement sent to Brice Waegeneire <brice@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41448; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 23 May 2020 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.